package com.tencent.mm.plugin.luckymoney.scaledLayout;

import android.support.v7.widget.RecyclerView.LayoutParams;
import android.support.v7.widget.RecyclerView.i;
import android.view.View;
import com.tencent.matrix.trace.core.AppMethodBeat;

class b$2 extends b {
    b$2(i iVar) {
        super(iVar, (byte) 0);
    }

    public final int je() {
        AppMethodBeat.i(42474);
        int paddingTop = this.amP.getPaddingTop();
        AppMethodBeat.o(42474);
        return paddingTop;
    }

    public final int bj(View view) {
        AppMethodBeat.i(42475);
        LayoutParams layoutParams = (LayoutParams) view.getLayoutParams();
        int bw = layoutParams.bottomMargin + (i.bw(view) + layoutParams.topMargin);
        AppMethodBeat.o(42475);
        return bw;
    }

    public final int bk(View view) {
        AppMethodBeat.i(42476);
        LayoutParams layoutParams = (LayoutParams) view.getLayoutParams();
        int bv = layoutParams.rightMargin + (i.bv(view) + layoutParams.leftMargin);
        AppMethodBeat.o(42476);
        return bv;
    }

    public final int jg() {
        AppMethodBeat.i(42477);
        int paddingTop = (this.amP.mHeight - this.amP.getPaddingTop()) - this.amP.getPaddingBottom();
        AppMethodBeat.o(42477);
        return paddingTop;
    }

    public final int bLR() {
        AppMethodBeat.i(42478);
        int paddingLeft = (this.amP.mWidth - this.amP.getPaddingLeft()) - this.amP.getPaddingRight();
        AppMethodBeat.o(42478);
        return paddingLeft;
    }
}
